/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.library;

/**
 * 
 * 
 * 
 * @author NTT DATA Corporation
 */
public class SpeedCheck {

	public static int A;
	public static int B;
	public static int C;
	public static int D;
	public static double start;
	
	public SpeedCheck()
	{
		A=0;
		B=0;
		C=0;
		D=0;
	}
	
	public static double Start()
	{
		start = System.currentTimeMillis();
		return start;
	}
	
	public static double End()
	{
		double end;
		end = System.currentTimeMillis();
		return end - start;
	}
	
	public static void Print()
	{
		System.out.println("A = " + A + "ms");
		System.out.println("B = " + B + "ms");
		System.out.println("C = " + C + "ms");
		System.out.println("D = " + D + "ms");
	}
}
